API for partners › Management Get site settings GET /api/crm/v2/sites_settingsv2
operationId: sitesSettings.default
Authorization api-token + language + role
Query parameters branch_id integer required
Example: 8810
Responses 200
object
status string required
Values: successerror
Example: success
data object
filters object required
branch_id object (FilterSelectInteger)
value integer
Example: 8920
type string required
Example: select
option array of object
value integer required
Example: 8920
name string required
Example: Green Basket | Kaliningrad
mode string (FilterMode)
How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.
Values: force_shownvalue_required
Example: value_required
notice string
Example: message
yandex_metrika string
Example: 314159
list array of object
id string required
Composite identifier: [page]_[platform]_[type]_[section]
Example: all_site_desktop_head
page string required
Values: allaboutfeedbackmainmobidel-trackerpopularrecommendspecial-offersvacancies
Example: all
platform string required
Values: allsitesocial-app
Example: all
type string required
Values: alldesktopmobile
Example: all
section string required
Values: headbody
Example: head
html string required
Example: <meta name='robots' content='index, follow'>
curl PHP JavaScript Python Copy
curl -X GET 'https://foodsoul.ru/api/crm/v2/sites_settings?branch_id=8810' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: en' \
-H 'role: partner' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'GET' , 'https://foodsoul.ru/api/crm/v2/sites_settings?branch_id=8810' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'en' ,
'role' => 'partner' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.ru/api/crm/v2/sites_settings?branch_id=8810" , {
method : "GET" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "en" ,
"role" : "partner"
},
})
const data = await response . json () import requests
response = requests . request (
"GET" ,
"https://foodsoul.ru/api/crm/v2/sites_settings?branch_id=8810" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "en" ,
"role" : "partner" ,
},
)
data = response . json () Response 200
{
"status" : "success" ,
"data" : {
"filters" : {
"branch_id" : {
"value" : 8920 ,
"type" : "select" ,
"option" : [
{
"value" : 8920 ,
"name" : "Green Basket | Kaliningrad"
}
],
"mode" : "value_required"
}
},
"notice" : "message" ,
"yandex_metrika" : "314159" ,
"list" : [
{
"id" : "all_site_desktop_head" ,
"page" : "all" ,
"platform" : "all" ,
"type" : "all" ,
"section" : "head" ,
"html" : "<meta name='robots' content='index, follow'>"
}
]
}
} Requests are sent to foodsoul.ru — the host of this portal; you cannot choose another one.